package com.wd.workoffice.bean;

import java.util.List;

/**
 * author : flexible
 * email : lgd19940421@163.com
 * github: https://github.com/FlexibleXd
 **/
public class ContactsMoneyBean {
    /**
     * records : [{"createdBy":680,"createdByName":null,"createdTime":"2020-04-06 17:41:01","updatedBy":null,"updatedByName":null,"updatedTime":null,"id":31,"financeDeptArApPartId":20,"transitPartType":"CUSTOMER","processCode":"PROCESS_SALE","expectAmount":20,"applyAmount":0,"finishAmount":0,"version":1,"createdUser":"吴同得","admin":null,"adminId":null,"deptId":null,"transitPartId":null,"type":null,"deptIdList":null,"processCodeName":"销售流程"}]
     * total : 1
     * size : 10
     * current : 1
     * orders : []
     * searchCount : true
     * pages : 1
     */

    private int total;
    private int size;
    private int current;
    private boolean searchCount;
    private int pages;
    private List<RecordsBean> records;
    private List<?> orders;

    public int getTotal() {
        return total;
    }

    public void setTotal(int total) {
        this.total = total;
    }

    public int getSize() {
        return size;
    }

    public void setSize(int size) {
        this.size = size;
    }

    public int getCurrent() {
        return current;
    }

    public void setCurrent(int current) {
        this.current = current;
    }

    public boolean isSearchCount() {
        return searchCount;
    }

    public void setSearchCount(boolean searchCount) {
        this.searchCount = searchCount;
    }

    public int getPages() {
        return pages;
    }

    public void setPages(int pages) {
        this.pages = pages;
    }

    public List<RecordsBean> getRecords() {
        return records;
    }

    public void setRecords(List<RecordsBean> records) {
        this.records = records;
    }

    public List<?> getOrders() {
        return orders;
    }

    public void setOrders(List<?> orders) {
        this.orders = orders;
    }

    public static class RecordsBean {
        /**
         * createdBy : 680
         * createdByName : null
         * createdTime : 2020-04-06 17:41:01
         * updatedBy : null
         * updatedByName : null
         * updatedTime : null
         * id : 31
         * financeDeptArApPartId : 20
         * transitPartType : CUSTOMER
         * processCode : PROCESS_SALE
         * expectAmount : 20.0
         * applyAmount : 0.0
         * finishAmount : 0.0
         * version : 1
         * createdUser : 吴同得
         * admin : null
         * adminId : null
         * deptId : null
         * transitPartId : null
         * type : null
         * deptIdList : null
         * processCodeName : 销售流程
         */

        private int createdBy;
        private Object createdByName;
        private String createdTime;
        private Object updatedBy;
        private Object updatedByName;
        private Object updatedTime;
        private int id;
        private int financeDeptArApPartId;
        private String transitPartType;
        private String processCode;
        private double expectAmount;
        private double applyAmount;
        private double finishAmount;
        private int version;
        private String createdUser;
        private Object admin;
        private Object adminId;
        private Object deptId;
        private Object transitPartId;
        private Object type;
        private Object deptIdList;
        private String processCodeName;
        private String receiveDeptName;

        public String getReceiveDeptName() {
            return receiveDeptName;
        }

        public void setReceiveDeptName(String receiveDeptName) {
            this.receiveDeptName = receiveDeptName;
        }

        public int getCreatedBy() {
            return createdBy;
        }

        public void setCreatedBy(int createdBy) {
            this.createdBy = createdBy;
        }

        public Object getCreatedByName() {
            return createdByName;
        }

        public void setCreatedByName(Object createdByName) {
            this.createdByName = createdByName;
        }

        public String getCreatedTime() {
            return createdTime;
        }

        public void setCreatedTime(String createdTime) {
            this.createdTime = createdTime;
        }

        public Object getUpdatedBy() {
            return updatedBy;
        }

        public void setUpdatedBy(Object updatedBy) {
            this.updatedBy = updatedBy;
        }

        public Object getUpdatedByName() {
            return updatedByName;
        }

        public void setUpdatedByName(Object updatedByName) {
            this.updatedByName = updatedByName;
        }

        public Object getUpdatedTime() {
            return updatedTime;
        }

        public void setUpdatedTime(Object updatedTime) {
            this.updatedTime = updatedTime;
        }

        public int getId() {
            return id;
        }

        public void setId(int id) {
            this.id = id;
        }

        public int getFinanceDeptArApPartId() {
            return financeDeptArApPartId;
        }

        public void setFinanceDeptArApPartId(int financeDeptArApPartId) {
            this.financeDeptArApPartId = financeDeptArApPartId;
        }

        public String getTransitPartType() {
            return transitPartType;
        }

        public void setTransitPartType(String transitPartType) {
            this.transitPartType = transitPartType;
        }

        public String getProcessCode() {
            return processCode;
        }

        public void setProcessCode(String processCode) {
            this.processCode = processCode;
        }

        public double getExpectAmount() {
            return expectAmount;
        }

        public void setExpectAmount(double expectAmount) {
            this.expectAmount = expectAmount;
        }

        public double getApplyAmount() {
            return applyAmount;
        }

        public void setApplyAmount(double applyAmount) {
            this.applyAmount = applyAmount;
        }

        public double getFinishAmount() {
            return finishAmount;
        }

        public void setFinishAmount(double finishAmount) {
            this.finishAmount = finishAmount;
        }

        public int getVersion() {
            return version;
        }

        public void setVersion(int version) {
            this.version = version;
        }

        public String getCreatedUser() {
            return createdUser;
        }

        public void setCreatedUser(String createdUser) {
            this.createdUser = createdUser;
        }

        public Object getAdmin() {
            return admin;
        }

        public void setAdmin(Object admin) {
            this.admin = admin;
        }

        public Object getAdminId() {
            return adminId;
        }

        public void setAdminId(Object adminId) {
            this.adminId = adminId;
        }

        public Object getDeptId() {
            return deptId;
        }

        public void setDeptId(Object deptId) {
            this.deptId = deptId;
        }

        public Object getTransitPartId() {
            return transitPartId;
        }

        public void setTransitPartId(Object transitPartId) {
            this.transitPartId = transitPartId;
        }

        public Object getType() {
            return type;
        }

        public void setType(Object type) {
            this.type = type;
        }

        public Object getDeptIdList() {
            return deptIdList;
        }

        public void setDeptIdList(Object deptIdList) {
            this.deptIdList = deptIdList;
        }

        public String getProcessCodeName() {
            return processCodeName;
        }

        public void setProcessCodeName(String processCodeName) {
            this.processCodeName = processCodeName;
        }
    }
}
